From 891845141243f5b9ca579b2df0c6ed77bf838e0d Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 12 2020 03:05:56 +0000
Subject: [PATCH 621/2232] Pull in syn 1.0.20 for Macro::parse_body fix


https://github.com/dtolnay/syn/pull/791

This will give better error message in the upcoming implementation of
include!(<bracketed/path/to>).

---

diff --git a/gen/build/Cargo.toml b/gen/build/Cargo.toml
index 84ab6fe..d703c57 100644
--- a/gen/build/Cargo.toml
+++ b/gen/build/Cargo.toml
@@ -15,7 +15,7 @@ cc = "1.0.49"
 codespan-reporting = "0.9"
 proc-macro2 = { version = "1.0.12", features = ["span-locations"] }
 quote = "1.0"
-syn = { version = "1.0.19", features = ["full"] }
+syn = { version = "1.0.20", features = ["full"] }
 
 [package.metadata.docs.rs]
 targets = ["x86_64-unknown-linux-gnu"]
diff --git a/gen/cmd/Cargo.toml b/gen/cmd/Cargo.toml
index d14dc84..e8b600a 100644
--- a/gen/cmd/Cargo.toml
+++ b/gen/cmd/Cargo.toml
@@ -19,7 +19,7 @@ codespan-reporting = "0.9"
 proc-macro2 = { version = "1.0.12", features = ["span-locations"] }
 quote = "1.0"
 structopt = "0.3"
-syn = { version = "1.0.19", features = ["full"] }
+syn = { version = "1.0.20", features = ["full"] }
 
 [package.metadata.docs.rs]
 targets = ["x86_64-unknown-linux-gnu"]
diff --git a/macro/Cargo.toml b/macro/Cargo.toml
index 0dc3038..8326e22 100644
--- a/macro/Cargo.toml
+++ b/macro/Cargo.toml
@@ -16,7 +16,7 @@ proc-macro = true
 [dependencies]
 proc-macro2 = "1.0"
 quote = "1.0.4"
-syn = { version = "1.0.19", features = ["full"] }
+syn = { version = "1.0.20", features = ["full"] }
 
 [dev-dependencies]
 cxx = { version = "0.3", path = ".." }
diff --git a/third-party/BUCK b/third-party/BUCK
index e16bad2..d30eda0 100644
--- a/third-party/BUCK
+++ b/third-party/BUCK
@@ -131,7 +131,7 @@ rust_library(
 
 rust_library(
     name = "syn",
-    srcs = glob(["vendor/syn-1.0.19/src/**"]),
+    srcs = glob(["vendor/syn-1.0.20/src/**"]),
     visibility = ["PUBLIC"],
     features = [
         "clone-impls",
diff --git a/third-party/BUILD b/third-party/BUILD
index 45b1163..7112779 100644
--- a/third-party/BUILD
+++ b/third-party/BUILD
@@ -136,7 +136,7 @@ rust_library(
 
 rust_library(
     name = "syn",
-    srcs = glob(["vendor/syn-1.0.19/src/**"]),
+    srcs = glob(["vendor/syn-1.0.20/src/**"]),
     crate_features = [
         "clone-impls",
         "derive",
